/*
 * Welcome to your app's main JavaScript file!
 *
 * We recommend including the built version of this JavaScript file
 * (and its CSS file) in your base layout (base.html.twig).
 */

// any CSS you import will output into a single css file (app.css in this case)
import 'fork-awesome/scss/fork-awesome.scss'
import './styles/app.scss'
import $ from 'jquery'
import 'bootstrap'

// start the Stimulus application
import './bootstrap'

//import './js/index'

// needed for legacy code
//global.$ = $

if (window.matchMedia('(prefers-color-scheme)').media !== 'not all') {
	console.log('🎉 Dark mode is supported')
}

$(document).ready(() => {
	console.log('ready')
	$('#toggleSidebar').on('click', () => {
		const toggleIcon = $('#toggleIcon')
		toggleIcon.toggleClass('fa fa-lg fa-fw fa-caret-square-o-left')
		toggleIcon.toggleClass('fa fa-lg fa-fw fa-caret-square-o-right')
		$('#sidebar').toggleClass('active')
	})
})
